#include "colors.inc"
#include "textures.inc"
#include "METALS.INC"
#include "scenetom.inc"

  camera {
    location <0, 1, -10>
    look_at 0
    angle 30
  }

  light_source { <500, 500, -1000> White }


#declare coussin =
    intersection {
      sphere { <0, 0, 0>, 1
        translate -0.5*x
      }
      sphere { <0, 0, 0>, 1
        translate 0.5*x
      }
      pigment {Red}
    }
//____________________________________________FAUTEUIL_________________________________
#declare dossier =
 superellipsoid {
    <0.25, 0.25>
    pigment {Yellow }
     normal { bumps 0.4 scale 0.2 }
finish { ambient 0.2 diffuse 0.35 }
    scale <2, 0, 0.2>
  }

#declare pied =
difference {
torus
{
  1,
  0.1
  texture {
  pigment { Red }
  finish{ specular 0.6
  metallic }
  }
  rotate <90,90,0 >
  translate y*-0.3
  scale <1,0.9,0.9>
}

box
{
  <-1, -1.5, -2.5>  // one corner position <X1 Y1 Z1>
  < 1, -0.5,  2.5>  // other corner position <X2 Y2 Z2>
}
}
#declare fauteuil=
union {
union{
object {dossier
rotate x*90

}
cylinder
{
  -1.99*x,  1.99*x, 0.04
pigment {Red}
translate <0,-0.15,-0.90>
}

}
union{
object {dossier}

cylinder
{
  -2*x,  2*x, 0.02
pigment {Red}
translate <0,-1,0>
}

scale y*0.9
rotate x*20
translate <0, 1, 1>

}

object {pied
translate x*-2
}
object {pied
translate x*2
}
finish {ambient 1
diffuse 1
}
}
//___________________________________________TABLE_________________________________________
#declare plateau =
prism{
cubic_spline
0,
1,
15,
<-.0474     ,    .4598   >

<-.6278   ,      .062   >
<-.0474     ,    .4598   >
< .3504      ,   .4636    >
< .6862  ,       .2336     >
< .7992   ,      .073  >
< .7738    ,    -.1642  >
 <.376      ,   -.3066   >
< .0072  ,      -.0802    >
<-.2774   ,     -.0146     >
<-.4964    ,    -.1314      >
<-.646      ,   -.1606  >
<-.6752    ,    -.062    >
<-.6278    ,     .062     >
<-.6278   ,      .062   >
scale <10,1,10>
texture {
pigment { White_Marble
turbulence 1.5
scale 0.7}
}

}

#declare pied =
sor {
6,
<0, -0.5>
<0.25, 0>
<0.25, 2>
<  1.0, 9>
  < 1.5, 10>
  <0, 10.5>
texture {
Brushed_Aluminum}
finish { ambient 0.5 }
scale 0.5
}
#declare table =
union{
object {plateau}
object {pied
translate <4.5,-5,-1.5>
}
object {pied
translate <1.6,-5,3.5>
}
object {pied
translate <-4.5,-5,0.3>
}
}
//*************************************TELEVISION
#declare CSG001 =//corps
union {
 difference {
superellipsoid {
    <0.25, 0.25>

    scale <1, 1.0, 1>
  }
superellipsoid {
    <0.25, 0.25>

    scale <0.9, 0.8, 1>
 translate < 0, 0.1, -0.02>

  }
  }
 cone{
  0.8*z,  0.8,
  1.8*z, 0.3
translate y*-0.2

}
texture { plastic_anthracite }
}

//****antenne
#declare Antenne =
union {
cone {
<0, 0, 0 >0.03, <3, 0, 0 >0.01
}
 cone { < 3, 0, 0 >0.09, <3.09, 0, 0>0.001 }
texture {
Brushed_Aluminum}
finish { ambient 0.6 }
}

//********** tele+ecran+antenne+voyant
#declare Tele =
union {
  object { CSG001 }
superellipsoid {
    <0.25, 0.55>
    scale <0.95, 0.95, 0.5>
  texture {translucide_Glass }

 translate z*-0.5
  }

box { <-1, -1, -1 >, <1, 1, 1 >
 scale <0.95, 0.9, 0.01>
 translate z*-0.9
texture { Image_Tele }

}
object { Antenne
rotate z*65
rotate y*20
translate < 0.7, 1, 0.3>
}
object { Antenne
rotate z*95
translate < 0.7, 1, 0.3>
}
sphere { <-0.7, -0.6, -1.01 > 0.04
pigment { Red } finish { ambient 1 }
}
}
//***************************************cadre
#declare Tour_Cadre =
union {
cylinder { <-2.5, -1.5, 0>, <2.5, -1.5, 0> 0.1 }
cylinder { <-2.5, 1.5, 0>, <2.5, 1.5, 0> 0.1 }
cylinder { <-2, -2, 0>, <-2, 2, 0> 0.1 }
cylinder { <2, -2, 0>, <2, 2, 0> 0.1 }
sphere { < -2.5, -1.5, 0 > 0.2 }
sphere { < 2.5, -1.5, 0 > 0.2 }
sphere { < -2.5, 1.5, 0 > 0.2 }
sphere { < 2.5, 1.5, 0 > 0.2 }
sphere { < -2, -2, 0 > 0.2 }
sphere { < -2, 2, 0 > 0.2 }
sphere { < 2, -2, 0 > 0.2 }
sphere { < 2, 2, 0 > 0.2 }
texture { T_Wood32 }
}
#declare Cadre =
union {
object { Tour_Cadre }
box { <-2, -1.5, -0.01>, < 2, 1.5, 0.01 >
    texture { Image }
    }
}

